import { h, Host } from "@stencil/core";
export class Ripple {
    render() {
        return h(Host, { style: { left: this.x + 'px', top: this.y + 'px' } });
    }
    static get is() { return "bce-ripple"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["bce-ripple.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["bce-ripple.css"]
    }; }
    static get properties() { return {
        "x": {
            "type": "number",
            "mutable": false,
            "complexType": {
                "original": "number",
                "resolved": "number",
                "references": {}
            },
            "required": true,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "x",
            "reflect": true
        },
        "y": {
            "type": "number",
            "mutable": false,
            "complexType": {
                "original": "number",
                "resolved": "number",
                "references": {}
            },
            "required": true,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "y",
            "reflect": true
        }
    }; }
}
